No compatible GPUs found for cycles (HIP) on Manjaro Linux with AMD card, Blender 4.x #115729

Closed
opened 2023-12-03 16:12:52 +01:00 by widarr · 16 comments

System information:
`
System:
Kernel: 6.6.3-1-MANJARO arch: x86_64 bits: 64 compiler: gcc v: 13.2.1
Desktop: Cinnamon v: 5.8.4 tk: GTK v: 3.24.38 vt: 7 dm: LightDM v: 1.32.0
Distro: Manjaro Linux base: Arch Linux
Machine:
Type: Desktop Mobo: ASUSTeK model: ROG STRIX X570-E GAMING WIFI II
v: Rev X.0x serial: UEFI: American Megatrends v: 4802
date: 06/15/2023
Memory:
System RAM: total: 128 GiB note: est. available: 125.7 GiB
used: 7.55 GiB (6.0%)

CPU:
Info: model: AMD Ryzen 9 5950X bits: 64 type: MT MCP arch: Zen 3+ gen: 4
level: v3 note: check built: 2022 process: TSMC n6 (7nm) family: 0x19 (25)
model-id: 0x21 (33) stepping: 2 microcode: 0xA20120A
Topology: cpus: 1x cores: 16 tpc: 2 threads: 32 smt: enabled cache:
L1: 1024 KiB desc: d-16x32 KiB; i-16x32 KiB L2: 8 MiB desc: 16x512 KiB
L3: 64 MiB desc: 2x32 MiB
Speed (MHz): avg: 2386 high: 3400 min/max: 2200/5083 boost: enabled
scaling: driver: acpi-cpufreq governor: schedutil cores: 1: 2231 2: 2200
3: 2200 4: 2200 5: 2200 6: 2200 7: 2793 8: 2200 9: 3194 10: 2873 11: 2200
12: 2200 13: 2200 14: 3400 15: 2200 16: 2200 17: 2200 18: 2231 19: 2200
20: 2233 21: 2200 22: 2200 23: 2200 24: 2200 25: 2200 26: 2200 27: 2200
28: 2200 29: 2200 30: 3400 31: 3400 32: 2200 bogomips: 217272
Flags: avx avx2 ht lm nx pae sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 svm

Graphics:
Device-1: AMD Navi 31 [Radeon Pro W7900] driver: amdgpu v: kernel
arch: RDNA-3 code: Navi-3x process: TSMC n5 (5nm) built: 2022+ pcie: gen: 4
speed: 16 GT/s lanes: 16 ports: active: DP-2 empty: DP-1,DP-3,DP-4
bus-ID: 0e:00.0 chip-ID: 1002:7448 class-ID: 0300
Device-2: NVIDIA GA102 [GeForce RTX 3080 Ti] vendor: ASUSTeK driver: N/A
alternate: nouveau non-free: 545.xx+ status: current (as of 2023-11;
EOL~2026-12-xx) arch: Ampere code: GAxxx process: TSMC n7 (7nm)
built: 2020-2023 pcie: gen: 4 speed: 16 GT/s lanes: 8 link-max: lanes: 16
bus-ID: 0f:00.0 chip-ID: 10de:2208 class-ID: 0300
Display: x11 server: X.Org v: 21.1.9 with: Xwayland v: 23.2.2 driver: X:
loaded: amdgpu unloaded: modesetting,radeon alternate: fbdev,vesa
dri: radeonsi gpu: amdgpu display-ID: :0 screens: 1
Screen-1: 0 s-res: 3840x2160 s-dpi: 96 s-size: 1016x571mm (40.00x22.48")
s-diag: 1165mm (45.88")
Monitor-1: DP-2 mapped: DisplayPort-1 model: LG (GoldStar) 27GN950
serial: built: 2021 res: 3840x2160 hz: 144 dpi: 163 gamma: 1.2
size: 600x340mm (23.62x13.39") diag: 690mm (27.2") ratio: 16:9 modes:
max: 3840x2160 min: 640x480
API: EGL v: 1.5 hw: drv: amd radeonsi platforms: device: 0 drv: radeonsi
device: 1 drv: swrast surfaceless: drv: radeonsi x11: drv: radeonsi
inactive: gbm,wayland
API: OpenGL v: 4.6 compat-v: 4.5 vendor: amd mesa v: 23.1.9-manjaro1.1
glx-v: 1.4 direct-render: yes renderer: AMD Radeon Pro W7900 (gfx1100 LLVM
16.0.6 DRM 3.54 6.6.3-1-MANJARO) device-ID: 1002:7448 memory: 43.95 GiB
unified: no
API: Vulkan v: 1.3.269 layers: 7 device: 0 type: discrete-gpu
name: AMD Radeon Pro W7900 driver: amd v: 2023.Q4.2 (LLPC)
device-ID: 1002:7448 surfaces: xcb,xlib
`

Blender versions tested: 4.01, 4.02, 4.1.0 alpha

Blender doesn't recognize my graphics card(s) for cycles rendering ("No compatible GPUs found for Cycles" in settings->system->Cycles Render devices) Neither the Nvidia RTX 3080Ti nor the Radeon Pro W7900 work. (using OpenSource drivers for both, preferably using the 7900 as render device) (Hardware acceleration in other 3D programs work)

I installed 4.01 with pacman and I compiled 4.1.0 and 4.0.2 from git source I also tried the flatpak version of 4.0.1 all tests with the same result: My graphics cards are not recognized as render devices. 4.01 from pacman crashed on the spot, the compiled version of 4.0.2 runs but without rendering device
Blender Version 3.6 worked normally with ROCm 5.6, current ROCm version: 5.7.1-1

from Blender console:
Addon Common: {'backend': 'OPENGL', 'device': 'AMD', 'vendor': 'AMD', 'renderer': 'AMD Radeon Pro W7900 (gfx1100, LLVM 16.0.6, DRM 3.54, 6.6.3-1-MANJARO)', 'version': '4.6 (Core Profile) Mesa 23.1.9-manjaro1.1', 'compute_shader_support_get': True, 'hdr_support_get': False, 'max_batch_indices_get': 3000, 'max_batch_vertices_get': 3000, 'max_texture_layers_get': 8192, 'max_texture_size_get': 16384, 'max_textures_frag_get': 32, 'max_textures_geom_get': 32, 'max_textures_get': 192, 'max_textures_vert_get': 32, 'max_uniforms_frag_get': 16384, 'max_uniforms_vert_get': 16384, 'max_varying_floats_get': 128, 'max_vertex_attribs_get': 16, 'shader_image_load_store_support_get': True}

System information: ` System: Kernel: 6.6.3-1-MANJARO arch: x86_64 bits: 64 compiler: gcc v: 13.2.1 Desktop: Cinnamon v: 5.8.4 tk: GTK v: 3.24.38 vt: 7 dm: LightDM v: 1.32.0 Distro: Manjaro Linux base: Arch Linux Machine: Type: Desktop Mobo: ASUSTeK model: ROG STRIX X570-E GAMING WIFI II v: Rev X.0x serial: <superuser required> UEFI: American Megatrends v: 4802 date: 06/15/2023 Memory: System RAM: total: 128 GiB note: est. available: 125.7 GiB used: 7.55 GiB (6.0%) CPU: Info: model: AMD Ryzen 9 5950X bits: 64 type: MT MCP arch: Zen 3+ gen: 4 level: v3 note: check built: 2022 process: TSMC n6 (7nm) family: 0x19 (25) model-id: 0x21 (33) stepping: 2 microcode: 0xA20120A Topology: cpus: 1x cores: 16 tpc: 2 threads: 32 smt: enabled cache: L1: 1024 KiB desc: d-16x32 KiB; i-16x32 KiB L2: 8 MiB desc: 16x512 KiB L3: 64 MiB desc: 2x32 MiB Speed (MHz): avg: 2386 high: 3400 min/max: 2200/5083 boost: enabled scaling: driver: acpi-cpufreq governor: schedutil cores: 1: 2231 2: 2200 3: 2200 4: 2200 5: 2200 6: 2200 7: 2793 8: 2200 9: 3194 10: 2873 11: 2200 12: 2200 13: 2200 14: 3400 15: 2200 16: 2200 17: 2200 18: 2231 19: 2200 20: 2233 21: 2200 22: 2200 23: 2200 24: 2200 25: 2200 26: 2200 27: 2200 28: 2200 29: 2200 30: 3400 31: 3400 32: 2200 bogomips: 217272 Flags: avx avx2 ht lm nx pae sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 svm Graphics: Device-1: AMD Navi 31 [Radeon Pro W7900] driver: amdgpu v: kernel arch: RDNA-3 code: Navi-3x process: TSMC n5 (5nm) built: 2022+ pcie: gen: 4 speed: 16 GT/s lanes: 16 ports: active: DP-2 empty: DP-1,DP-3,DP-4 bus-ID: 0e:00.0 chip-ID: 1002:7448 class-ID: 0300 Device-2: NVIDIA GA102 [GeForce RTX 3080 Ti] vendor: ASUSTeK driver: N/A alternate: nouveau non-free: 545.xx+ status: current (as of 2023-11; EOL~2026-12-xx) arch: Ampere code: GAxxx process: TSMC n7 (7nm) built: 2020-2023 pcie: gen: 4 speed: 16 GT/s lanes: 8 link-max: lanes: 16 bus-ID: 0f:00.0 chip-ID: 10de:2208 class-ID: 0300 Display: x11 server: X.Org v: 21.1.9 with: Xwayland v: 23.2.2 driver: X: loaded: amdgpu unloaded: modesetting,radeon alternate: fbdev,vesa dri: radeonsi gpu: amdgpu display-ID: :0 screens: 1 Screen-1: 0 s-res: 3840x2160 s-dpi: 96 s-size: 1016x571mm (40.00x22.48") s-diag: 1165mm (45.88") Monitor-1: DP-2 mapped: DisplayPort-1 model: LG (GoldStar) 27GN950 serial: <filter> built: 2021 res: 3840x2160 hz: 144 dpi: 163 gamma: 1.2 size: 600x340mm (23.62x13.39") diag: 690mm (27.2") ratio: 16:9 modes: max: 3840x2160 min: 640x480 API: EGL v: 1.5 hw: drv: amd radeonsi platforms: device: 0 drv: radeonsi device: 1 drv: swrast surfaceless: drv: radeonsi x11: drv: radeonsi inactive: gbm,wayland API: OpenGL v: 4.6 compat-v: 4.5 vendor: amd mesa v: 23.1.9-manjaro1.1 glx-v: 1.4 direct-render: yes renderer: AMD Radeon Pro W7900 (gfx1100 LLVM 16.0.6 DRM 3.54 6.6.3-1-MANJARO) device-ID: 1002:7448 memory: 43.95 GiB unified: no API: Vulkan v: 1.3.269 layers: 7 device: 0 type: discrete-gpu name: AMD Radeon Pro W7900 driver: amd v: 2023.Q4.2 (LLPC) device-ID: 1002:7448 surfaces: xcb,xlib ` Blender versions tested: 4.01, 4.02, 4.1.0 alpha Blender doesn't recognize my graphics card(s) for cycles rendering ("No compatible GPUs found for Cycles" in settings->system->Cycles Render devices) Neither the Nvidia RTX 3080Ti nor the Radeon Pro W7900 work. (using OpenSource drivers for both, preferably using the 7900 as render device) (Hardware acceleration in other 3D programs work) I installed 4.01 with pacman and I compiled 4.1.0 and 4.0.2 from git source I also tried the flatpak version of 4.0.1 all tests with the same result: My graphics cards are not recognized as render devices. 4.01 from pacman crashed on the spot, the compiled version of 4.0.2 runs but without rendering device Blender Version 3.6 worked normally with ROCm 5.6, current ROCm version: 5.7.1-1 from Blender console: `Addon Common: {'backend': 'OPENGL', 'device': 'AMD', 'vendor': 'AMD', 'renderer': 'AMD Radeon Pro W7900 (gfx1100, LLVM 16.0.6, DRM 3.54, 6.6.3-1-MANJARO)', 'version': '4.6 (Core Profile) Mesa 23.1.9-manjaro1.1', 'compute_shader_support_get': True, 'hdr_support_get': False, 'max_batch_indices_get': 3000, 'max_batch_vertices_get': 3000, 'max_texture_layers_get': 8192, 'max_texture_size_get': 16384, 'max_textures_frag_get': 32, 'max_textures_geom_get': 32, 'max_textures_get': 192, 'max_textures_vert_get': 32, 'max_uniforms_frag_get': 16384, 'max_uniforms_vert_get': 16384, 'max_varying_floats_get': 128, 'max_vertex_attribs_get': 16, 'shader_image_load_store_support_get': True} `
widarr added the
Priority
Normal
Type
Report
Status
Needs Triage
labels 2023-12-03 16:12:53 +01:00
widarr changed title from No compatible GPUs found for cycles (HIP) on Manjaro Linux with AMD card to No compatible GPUs found for cycles (HIP) on Manjaro Linux with AMD card, Blender 4.x 2023-12-03 16:13:19 +01:00
Member

Hi, does it work with proprietary drivers? We already have few bug reports about detection of AMD GPU for cycles on linux: #114759 , #110777 , #109431

I installed 4.01 with pacman and I compiled 4.1.0 and 4.0.2 from git source I also tried the flatpak version of 4.0.1 all tests with the same result

Also check with the build-bot build: https://builder.blender.org/download/daily/

Hi, does it work with proprietary drivers? We already have few bug reports about detection of AMD GPU for cycles on linux: #114759 , #110777 , #109431 > I installed 4.01 with pacman and I compiled 4.1.0 and 4.0.2 from git source I also tried the flatpak version of 4.0.1 all tests with the same result Also check with the build-bot build: https://builder.blender.org/download/daily/
Pratik Borhade added
Status
Needs Information from User
and removed
Status
Needs Triage
labels 2023-12-04 05:17:31 +01:00
Author

Thanks for the reply.

I think that lead me onto the right path.

I set WITH_CYCLES_DEVICE_HIP:BOOL=ON in build_linux/CMakeCache.txt
Then I realized that hipcc wasn't in my path, so I added /opt/rocm/bin to my PATH environment variable.
Blender successfully built with the HIP modules but...

Now Blender completely freezes when I open Edit->Preferences
Can't see any console output after the freeze.

is there something else missing? or do I have to throw out all other modules except gfx1100?

Thanks for the reply. I think that lead me onto the right path. I set WITH_CYCLES_DEVICE_HIP:BOOL=ON in build_linux/CMakeCache.txt Then I realized that hipcc wasn't in my path, so I added /opt/rocm/bin to my PATH environment variable. Blender successfully built with the HIP modules but... Now Blender completely freezes when I open Edit->Preferences Can't see any console output after the freeze. is there something else missing? or do I have to throw out all other modules except gfx1100?
Member

Best to ask in #blender-builds channel you're building cycles from source.

Best to ask in [#blender-builds](https://blender.chat/channel/blender-builds) channel you're building cycles from source.
Author

I don't think that this is a compilation issue...
I just downloaded the binary version of Blender 4.0.2 from https://www.blender.org/download/ and it just instantly freezes permanently when I click:
Edit->Preferences->System->Cycles Render Device->HIP.
Not only that... sometimes it freezes my whole system to a point where I can only hard-reset.

Like said before: I have the latest amdgpu driver, ROCm and HIP packages

I don't think that this is a compilation issue... I just downloaded the binary version of Blender 4.0.2 from https://www.blender.org/download/ and it just instantly freezes permanently when I click: Edit->Preferences->System->Cycles Render Device->HIP. Not only that... sometimes it freezes my whole system to a point where I can only hard-reset. Like said before: I have the latest amdgpu driver, ROCm and HIP packages
Member

it just instantly freezes permanently

Similar problem has been observed recently on newer linux kernel, downgrading them may prevent the freeze: #115670 / #115670 (comment)

> it just instantly freezes permanently Similar problem has been observed recently on newer linux kernel, downgrading them may prevent the freeze: #115670 / https://projects.blender.org/blender/blender/issues/115670#issuecomment-1079276
Member

Any updates here?

Any updates here?
Author

Haven't tried the kernel downgrade yet, but a new Blender version (4.0.2-4). Still freezes the whole system when I click on the HIP tab in preferences.

edit: so now I have tried the 4.0.2-6 version. The system doesn't freeze, just Blender freezes when I click HIP (with Kernel 6.6)

I have now downgraded to Kernel 6.5, still having Blender 4.0.2-6. This seems to work. preferences->HIP shows my Graphics card (W7900) and the CPU (Ryzen 9 5950X) Have to give it a good Render test to see how stable this combination is.

edit2: nope... Blender isn't stable at all while rendering with the GPU, it crashes after a few seconds with or without an EXR in the background

This is the error message from the console when Blender crashes trying to render with the GPU:

Memory access fault by GPU node-1 (Agent handle: 0x7fd98fdf3e00) on address 0x594000. Reason: Page not present or supervisor privilege.

Rendering with the CPU works though...

Haven't tried the kernel downgrade yet, but a new Blender version (4.0.2-4). Still freezes the whole system when I click on the HIP tab in preferences. edit: so now I have tried the 4.0.2-6 version. The system doesn't freeze, just Blender freezes when I click HIP (with Kernel 6.6) I have now downgraded to Kernel 6.5, still having Blender 4.0.2-6. This seems to work. preferences->HIP shows my Graphics card (W7900) and the CPU (Ryzen 9 5950X) Have to give it a good Render test to see how stable this combination is. edit2: nope... Blender isn't stable at all while rendering with the GPU, it crashes after a few seconds with or without an EXR in the background This is the error message from the console when Blender crashes trying to render with the GPU: `Memory access fault by GPU node-1 (Agent handle: 0x7fd98fdf3e00) on address 0x594000. Reason: Page not present or supervisor privilege.` Rendering with the CPU works though...

Please try 4.0.3 RC from Blender daily builds and see if that fixes your issue, ref: #116697 (comment)

Please try 4.0.3 RC from Blender daily builds and see if that fixes your issue, ref: https://projects.blender.org/blender/blender/issues/116697#issuecomment-1097599
Author

I tested 4.0.3 RC, my result was:

  • I managed to completely render a test image (consisted of a Cycles & Eevee image combined in compositor)

After it finished I thought it was working now, I clicked into the 3D viewport and the Displaymanager (lightdm) crashed and restarted

journalctl revealed that the GPU experienced a hang:

Jän 11 15:00:13 nazarick kernel: [drm:amdgpu_job_timedout [amdgpu]] *ERROR* ring gfx_0.0.0 timeout, signaled seq=97461099, emitted seq=97461101 Jän 11 15:00:13 nazarick kernel: [drm:amdgpu_job_timedout [amdgpu]] *ERROR* Process information: process blender pid 447755 thread blender:cs0 pid 447794 Jän 11 15:00:13 nazarick kernel: amdgpu 0000:0e:00.0: amdgpu: GPU reset begin! Jän 11 15:00:17 nazarick kernel: amdgpu 0000:0e:00.0: amdgpu: failed to suspend display audio Jän 11 15:00:17 nazarick kernel: [drm:mes_v11_0_submit_pkt_and_poll_completion.constprop.0 [amdgpu]] *ERROR* MES failed to response msg=3 Jän 11 15:00:17 nazarick kernel: [drm:amdgpu_mes_unmap_legacy_queue [amdgpu]] *ERROR* failed to unmap legacy queue Jän 11 15:00:17 nazarick kernel: [drm:mes_v11_0_submit_pkt_and_poll_completion.constprop.0 [amdgpu]] *ERROR* MES failed to response msg=3 Jän 11 15:00:17 nazarick kernel: [drm:amdgpu_mes_unmap_legacy_queue [amdgpu]] *ERROR* failed to unmap legacy queue Jän 11 15:00:18 nazarick kernel: [drm:mes_v11_0_submit_pkt_and_poll_completion.constprop.0 [amdgpu]] *ERROR* MES failed to response msg=3 Jän 11 15:00:18 nazarick kernel: [drm:amdgpu_mes_unmap_legacy_queue [amdgpu]] *ERROR* failed to unmap legacy queue Jän 11 15:00:18 nazarick kernel: [drm:mes_v11_0_submit_pkt_and_poll_completion.constprop.0 [amdgpu]] *ERROR* MES failed to response msg=3 Jän 11 15:00:18 nazarick kernel: [drm:amdgpu_mes_unmap_legacy_queue [amdgpu]] *ERROR* failed to unmap legacy queue Jän 11 15:00:18 nazarick kernel: [drm:mes_v11_0_submit_pkt_and_poll_completion.constprop.0 [amdgpu]] *ERROR* MES failed to response msg=3 Jän 11 15:00:18 nazarick kernel: [drm:amdgpu_mes_unmap_legacy_queue [amdgpu]] *ERROR* failed to unmap legacy queue Jän 11 15:00:18 nazarick kernel: [drm:mes_v11_0_submit_pkt_and_poll_completion.constprop.0 [amdgpu]] *ERROR* MES failed to response msg=3 Jän 11 15:00:18 nazarick kernel: [drm:amdgpu_mes_unmap_legacy_queue [amdgpu]] *ERROR* failed to unmap legacy queue Jän 11 15:00:18 nazarick kernel: [drm:mes_v11_0_submit_pkt_and_poll_completion.constprop.0 [amdgpu]] *ERROR* MES failed to response msg=3 Jän 11 15:00:18 nazarick kernel: [drm:amdgpu_mes_unmap_legacy_queue [amdgpu]] *ERROR* failed to unmap legacy queue Jän 11 15:00:18 nazarick kernel: [drm:mes_v11_0_submit_pkt_and_poll_completion.constprop.0 [amdgpu]] *ERROR* MES failed to response msg=3 Jän 11 15:00:18 nazarick kernel: [drm:amdgpu_mes_unmap_legacy_queue [amdgpu]] *ERROR* failed to unmap legacy queue Jän 11 15:00:18 nazarick kernel: [drm:mes_v11_0_submit_pkt_and_poll_completion.constprop.0 [amdgpu]] *ERROR* MES failed to response msg=3 Jän 11 15:00:18 nazarick kernel: [drm:amdgpu_mes_unmap_legacy_queue [amdgpu]] *ERROR* failed to unmap legacy queue Jän 11 15:00:19 nazarick kernel: [drm:gfx_v11_0_hw_fini [amdgpu]] *ERROR* failed to halt cp gfx Jän 11 15:00:19 nazarick kernel: amdgpu 0000:0e:00.0: amdgpu: MODE1 reset Jän 11 15:00:19 nazarick kernel: amdgpu 0000:0e:00.0: amdgpu: GPU mode1 reset Jän 11 15:00:19 nazarick kernel: amdgpu 0000:0e:00.0: amdgpu: GPU smu mode1 reset Jän 11 15:00:19 nazarick kernel: amdgpu 0000:0e:00.0: amdgpu: GPU reset succeeded, trying to resume Jän 11 15:00:19 nazarick kernel: [drm] PCIE GART of 512M enabled (table at 0x0000008000300000). Jän 11 15:00:19 nazarick kernel: [drm] VRAM is lost due to GPU reset!

I tested 4.0.3 RC, my result was: * I managed to completely render a test image (consisted of a Cycles & Eevee image combined in compositor) After it finished I thought it was working now, I clicked into the 3D viewport and the Displaymanager (lightdm) crashed and restarted journalctl revealed that the GPU experienced a hang: `Jän 11 15:00:13 nazarick kernel: [drm:amdgpu_job_timedout [amdgpu]] *ERROR* ring gfx_0.0.0 timeout, signaled seq=97461099, emitted seq=97461101 Jän 11 15:00:13 nazarick kernel: [drm:amdgpu_job_timedout [amdgpu]] *ERROR* Process information: process blender pid 447755 thread blender:cs0 pid 447794 Jän 11 15:00:13 nazarick kernel: amdgpu 0000:0e:00.0: amdgpu: GPU reset begin! Jän 11 15:00:17 nazarick kernel: amdgpu 0000:0e:00.0: amdgpu: failed to suspend display audio Jän 11 15:00:17 nazarick kernel: [drm:mes_v11_0_submit_pkt_and_poll_completion.constprop.0 [amdgpu]] *ERROR* MES failed to response msg=3 Jän 11 15:00:17 nazarick kernel: [drm:amdgpu_mes_unmap_legacy_queue [amdgpu]] *ERROR* failed to unmap legacy queue Jän 11 15:00:17 nazarick kernel: [drm:mes_v11_0_submit_pkt_and_poll_completion.constprop.0 [amdgpu]] *ERROR* MES failed to response msg=3 Jän 11 15:00:17 nazarick kernel: [drm:amdgpu_mes_unmap_legacy_queue [amdgpu]] *ERROR* failed to unmap legacy queue Jän 11 15:00:18 nazarick kernel: [drm:mes_v11_0_submit_pkt_and_poll_completion.constprop.0 [amdgpu]] *ERROR* MES failed to response msg=3 Jän 11 15:00:18 nazarick kernel: [drm:amdgpu_mes_unmap_legacy_queue [amdgpu]] *ERROR* failed to unmap legacy queue Jän 11 15:00:18 nazarick kernel: [drm:mes_v11_0_submit_pkt_and_poll_completion.constprop.0 [amdgpu]] *ERROR* MES failed to response msg=3 Jän 11 15:00:18 nazarick kernel: [drm:amdgpu_mes_unmap_legacy_queue [amdgpu]] *ERROR* failed to unmap legacy queue Jän 11 15:00:18 nazarick kernel: [drm:mes_v11_0_submit_pkt_and_poll_completion.constprop.0 [amdgpu]] *ERROR* MES failed to response msg=3 Jän 11 15:00:18 nazarick kernel: [drm:amdgpu_mes_unmap_legacy_queue [amdgpu]] *ERROR* failed to unmap legacy queue Jän 11 15:00:18 nazarick kernel: [drm:mes_v11_0_submit_pkt_and_poll_completion.constprop.0 [amdgpu]] *ERROR* MES failed to response msg=3 Jän 11 15:00:18 nazarick kernel: [drm:amdgpu_mes_unmap_legacy_queue [amdgpu]] *ERROR* failed to unmap legacy queue Jän 11 15:00:18 nazarick kernel: [drm:mes_v11_0_submit_pkt_and_poll_completion.constprop.0 [amdgpu]] *ERROR* MES failed to response msg=3 Jän 11 15:00:18 nazarick kernel: [drm:amdgpu_mes_unmap_legacy_queue [amdgpu]] *ERROR* failed to unmap legacy queue Jän 11 15:00:18 nazarick kernel: [drm:mes_v11_0_submit_pkt_and_poll_completion.constprop.0 [amdgpu]] *ERROR* MES failed to response msg=3 Jän 11 15:00:18 nazarick kernel: [drm:amdgpu_mes_unmap_legacy_queue [amdgpu]] *ERROR* failed to unmap legacy queue Jän 11 15:00:18 nazarick kernel: [drm:mes_v11_0_submit_pkt_and_poll_completion.constprop.0 [amdgpu]] *ERROR* MES failed to response msg=3 Jän 11 15:00:18 nazarick kernel: [drm:amdgpu_mes_unmap_legacy_queue [amdgpu]] *ERROR* failed to unmap legacy queue Jän 11 15:00:19 nazarick kernel: [drm:gfx_v11_0_hw_fini [amdgpu]] *ERROR* failed to halt cp gfx Jän 11 15:00:19 nazarick kernel: amdgpu 0000:0e:00.0: amdgpu: MODE1 reset Jän 11 15:00:19 nazarick kernel: amdgpu 0000:0e:00.0: amdgpu: GPU mode1 reset Jän 11 15:00:19 nazarick kernel: amdgpu 0000:0e:00.0: amdgpu: GPU smu mode1 reset Jän 11 15:00:19 nazarick kernel: amdgpu 0000:0e:00.0: amdgpu: GPU reset succeeded, trying to resume Jän 11 15:00:19 nazarick kernel: [drm] PCIE GART of 512M enabled (table at 0x0000008000300000). Jän 11 15:00:19 nazarick kernel: [drm] VRAM is lost due to GPU reset! `

Can you try if you still get this crash on a kernel < 6.6 (say 6.5 or 6.4)?

Can you try if you still get this crash on a kernel < 6.6 (say 6.5 or 6.4)?
Author

I have already done this test on the 6.5 kernel (6.5.13-7 to be precise)

I have already done this test on the 6.5 kernel (6.5.13-7 to be precise)
Author

Little update: I have now also tested Blender 4.0.3 with the 6.7 Kernel. Same result as at the beginning of this thread: As soon as you click on the HIP tab in preferences blender freezes.

Blender 4.1.0alpha crashes the same way on Kernel 6.7

(in all my experiments I have always completely updated my system beforehand)

Little update: I have now also tested Blender 4.0.3 with the 6.7 Kernel. Same result as at the beginning of this thread: As soon as you click on the HIP tab in preferences blender freezes. Blender 4.1.0alpha crashes the same way on Kernel 6.7 (in all my experiments I have always completely updated my system beforehand)

It seems that ROCm 5.7 requires the amdgpu dkms module being installed.
You may try
sudo dkms status | grep amdgpu
If there is an empty result, the amdgpu dkms module is missing.
You may need to consult the ROCm installation instructions for Manjaro Linux to get it installed.

It seems that ROCm 5.7 requires the amdgpu dkms module being installed. You may try `sudo dkms status | grep amdgpu` If there is an empty result, the amdgpu dkms module is missing. You may need to consult the ROCm installation instructions for Manjaro Linux to get it installed.
Member

Check whether crash persists with rocm 5.7 in 4.1 build:

Check whether crash persists with rocm 5.7 in 4.1 build:
Author

I tested 4.1 beta and now it works again. Yay! :)
(using ROCm 6.0)

... But now, with this Blender version none of my hardsurface addons work anymore (Hardops/Boxcutter, Fluent) thanks to the "super" smoothshading change.... but thats another story.

I tested 4.1 beta and now it works again. Yay! :) (using ROCm 6.0) ... But now, with this Blender version none of my hardsurface addons work anymore (Hardops/Boxcutter, Fluent) thanks to the "super" smoothshading change.... but thats another story.
Member

Good to know, closing then

But now, with this Blender version none of my hardsurface addons work anymore (Hardops/Boxcutter, Fluent) thanks to the "super" smoothshading change.... but thats another story.

Yes, that's different issue. Add-on devs would need to update their script to make it compatible with new "smooth by angle" operator and modifier.

Good to know, closing then > But now, with this Blender version none of my hardsurface addons work anymore (Hardops/Boxcutter, Fluent) thanks to the "super" smoothshading change.... but thats another story. Yes, that's different issue. Add-on devs would need to update their script to make it compatible with new "smooth by angle" operator and modifier.
Blender Bot added
Status
Archived
and removed
Status
Needs Information from User
labels 2024-03-05 05:09:05 +01:00
Sign in to join this conversation.
No Label
Interest
Alembic
Interest
Animation & Rigging
Interest
Asset System
Interest
Audio
Interest
Automated Testing
Interest
Blender Asset Bundle
Interest
BlendFile
Interest
Collada
Interest
Compatibility
Interest
Compositing
Interest
Core
Interest
Cycles
Interest
Dependency Graph
Interest
Development Management
Interest
EEVEE
Interest
EEVEE & Viewport
Interest
Freestyle
Interest
Geometry Nodes
Interest
Grease Pencil
Interest
ID Management
Interest
Images & Movies
Interest
Import Export
Interest
Line Art
Interest
Masking
Interest
Metal
Interest
Modeling
Interest
Modifiers
Interest
Motion Tracking
Interest
Nodes & Physics
Interest
OpenGL
Interest
Overlay
Interest
Overrides
Interest
Performance
Interest
Physics
Interest
Pipeline, Assets & IO
Interest
Platforms, Builds & Tests
Interest
Python API
Interest
Render & Cycles
Interest
Render Pipeline
Interest
Sculpt, Paint & Texture
Interest
Text Editor
Interest
Translations
Interest
Triaging
Interest
Undo
Interest
USD
Interest
User Interface
Interest
UV Editing
Interest
VFX & Video
Interest
Video Sequencer
Interest
Virtual Reality
Interest
Vulkan
Interest
Wayland
Interest
Workbench
Interest: X11
Legacy
Asset Browser Project
Legacy
Blender 2.8 Project
Legacy
Milestone 1: Basic, Local Asset Browser
Legacy
OpenGL Error
Meta
Good First Issue
Meta
Papercut
Meta
Retrospective
Meta
Security
Module
Animation & Rigging
Module
Core
Module
Development Management
Module
EEVEE & Viewport
Module
Grease Pencil
Module
Modeling
Module
Nodes & Physics
Module
Pipeline, Assets & IO
Module
Platforms, Builds & Tests
Module
Python API
Module
Render & Cycles
Module
Sculpt, Paint & Texture
Module
Triaging
Module
User Interface
Module
VFX & Video
Platform
FreeBSD
Platform
Linux
Platform
macOS
Platform
Windows
Priority
High
Priority
Low
Priority
Normal
Priority
Unbreak Now!
Status
Archived
Status
Confirmed
Status
Duplicate
Status
Needs Info from Developers
Status
Needs Information from User
Status
Needs Triage
Status
Resolved
Type
Bug
Type
Design
Type
Known Issue
Type
Patch
Type
Report
Type
To Do
No Milestone
No project
No Assignees
4 Participants
Notifications
Due Date
The due date is invalid or out of range. Please use the format 'yyyy-mm-dd'.

No due date set.

Dependencies

No dependencies set.

Reference: blender/blender#115729
No description provided.